%define fname church
%define type1fonts %_datadir/fonts/default/Type1-%fname

Name: church-fonts
Version: 20040618
Release: alt1

Summary: Church Slavonic Type1 fonts
Summary (ru_RU.KOI8-R): -  Type1
License: see LICENSE file
Group: System/Fonts/Type1
Url: http://irmologion.narod.ru/

Packager: Vitaly Lipatov <lav@altlinux.ru>

Source: %name-type1.tar.bz2

BuildArch: noarch

BuildRequires: freetype, XFree86-utils
PreReq: chkfontpath fontconfig

%description
This Package provides a Church Slavonic Type1 fonts
from Irmologion project.

%description -l ru_RU.KOI8-R
    -
 Type1  .

%prep
%setup -q -n %name-type1

%install
mkdir -p $RPM_BUILD_ROOT%type1fonts
mkfontdir .
install -p -m644 *.afm *.pfb $RPM_BUILD_ROOT%type1fonts

ln -s %_sysconfdir/X11/encodings.dir $RPM_BUILD_ROOT%type1fonts/encodings.dir

%post
%_bindir/fc-cache %type1fonts ||:
%_sbindir/chkfontpath -q --add  %type1fonts ||:

%postun
if [ "$1" = "0" ]; then
        %_sbindir/chkfontpath -q --remove %type1fonts ||:
fi
		
%triggerpostun -- %name < 20030330-alt2
%_sbindir/chkfontpath -q --add %type1fonts ||:

%files
%type1fonts
%doc AUTHORS ChangeLog README* LICENSE

%changelog
* Fri Jun 18 2004 Vitaly Lipatov <lav@altlinux.ru> 20040618-alt1
- correct postun section (bug #3672). Thanks to Michael Shigorin
- new fonts Indycton, Triodion, Vertograd, Zlatoust

* Thu Feb 12 2004 Vitaly Lipatov <lav@altlinux.ru> 20030330-alt2

* Sun Jan 04 2004 Vitaly Lipatov <lav@altlinux.ru> 20030330-alt2
- rebuild with new font packaging rules

* Fri Apr 04 2003 Vitaly Lipatov <lav@altlinux.ru> 20030330-alt1.1
- add IzhitsaCS font

* Thu Apr 03 2003 Vitaly Lipatov <lav@altlinux.ru> 20030330-alt1
- first ALTLinux build

